﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.Web.UI.GridControls;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        
        this.WebDataGrid1.DataSource = GetData();       

    }

    
    public DataTable GetData()
    {
        DataTable table = new DataTable();
        DataColumn c = new DataColumn("ID", typeof(int));
        table.Columns.Add(new DataColumn("ID", typeof(int)));
        table.Columns.Add(new DataColumn("Name", typeof(string)));
        table.Columns.Add(new DataColumn("Date1", typeof(DateTime)));
        table.Columns.Add(new DataColumn("Date2", typeof(DateTime)));
        table.Columns.Add(new DataColumn("Date3", typeof(DateTime)));

        DateTime today = DateTime.Today;
        for (int i = 1; i < 25; i++)
        {
            DataRow row = table.NewRow();
            row.ItemArray = new object[] { i, "name " + 1, today.AddDays(i), today.AddDays(-i), today.AddMonths(i) };
            table.Rows.Add(row);
        }

        return table;
    }
}